Page MenuHomePhabricator

Give Commons its own Wiki box rather than forcing it under Other sites
Open, Needs TriagePublic

Description

Commons is a major project within the WMF supported projects, it should not be considered an "Other wiki". Far more items will associate to Commons than will associate to Wikivoyage or several of the other "main" wiki's.

Event Timeline

Reguyla raised the priority of this task from to Needs Triage.
Reguyla updated the task description. (Show Details)
Reguyla added a project: Wikidata.
Reguyla moved this task to incoming on the Wikidata board.
Reguyla added subscribers: Reguyla, Aklapper.
daniel added a subscriber: daniel.Jun 15 2015, 6:13 PM

Having a separate box or section for a single site doesn't make sense. Commons is a "singleton" project, like meta, not a family, so a section isn't useful for grouping. It has nothing to do with how often it appears, or how big or important the project is.

Perhaps this can be resolved by changing the caption from "Other wikis" to something else? Do you have a suggestion?

Lydia_Pintscher moved this task from incoming to hold on the Wikidata board.Jun 17 2015, 3:23 PM

Having a separate box for Commons would make it a lot clearer that commons links can be added in the same way that other sister sites can be. It would be nice if we could include two links, one to the page and one to the category, where relevant. There may also be relevant sub-categories (e.g., categories for the British Museum; the outside of the British Museum; the inside of it; and so forth), although I'm not sure how well that would work in practice.

Which other wikis are included in the 'other' category? Would something like "Other Wikimedia projects" work, or are there non-Wikimedia projects that are also included?

(BTW, for most single-language speakers, the benefits of having different sites for Wikivoyage etc. aren't too obvious, until you realise that they're intended mostly for inter-language links!)

@daniel, I don't really have a suggestion for renaming the box from Other wiki's but when I think of "Other wiki's" I think of Shoutwiki and Wikia, not other WMF projects. Maybe I'm the only one, but that seems rather confusing to me. Also, the argument that Commons is a singleton project, to me, doesn't really apply. Commons, by its very design was made so that all the projects, regardless of language, could link to its content. It wouldn't make sense for it to by split up by language because that would defeat its purpose. But I don't think that should be used as an argument to treat it as though its not a real WMF project just because its one of about three that are multilingual and not split up.

daniel added a comment.Jul 7 2015, 8:55 AM

@Reguyla Of course it would not make sense to split commons by language. But it doesn't make sense to have a "section" for just one project, either. It did not even occur to me that "other" may be interpreted as "non-WMF". It's intended to mean "other than Wikipedia and Wikivoyage and Wikisource and so on". Do you have a suggestion for a better name?

Nikki added a subscriber: Nikki.Apr 24 2016, 5:11 PM

On https://www.wikidata.org/wiki/Wikidata:Project_chat#Other_sites two suggestions were "other Wikimedia sites" and "other sister sites".

Nemo_bis closed this task as Declined.Mar 14 2017, 3:36 PM
Nemo_bis added a subscriber: Nemo_bis.

Having a separate box for Commons would make it a lot clearer that commons links can be added in the same way that other sister sites can be.

Showing a difference helps conveying that there is no difference? Quite an oxymoron.

Having a separate box or section for a single site doesn't make sense. Commons is a "singleton" project, like meta, not a family, so a section isn't useful for grouping. It has nothing to do with how often it appears, or how big or important the project is.

I agree.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptMar 14 2017, 3:36 PM
Mike_Peel reopened this task as Open.Apr 5 2017, 7:02 PM

Having a separate box for Commons would make it a lot clearer that commons links can be added in the same way that other sister sites can be.

Showing a difference helps conveying that there is no difference? Quite an oxymoron.

Showing the same box for Commons as is shown for the other sister sites (e.g., Wikipedia) shows that there is no difference in adding the links. Having it different by including it under 'other sites' is what is different. I have not seen any other project linked to under 'other sites', definitely not one so widely used as Wikimedia Commons.

Nemo_bis removed a subscriber: Nemo_bis.Apr 6 2017, 7:02 AM

Having a separate box for Commons would make it a lot clearer that commons links can be added in the same way that other sister sites can be.

Showing a difference helps conveying that there is no difference? Quite an oxymoron.

Showing the same box for Commons as is shown for the other sister sites (e.g., Wikipedia) shows that there is no difference in adding the links. Having it different by including it under 'other sites' is what is different. I have not seen any other project linked to under 'other sites', definitely not one so widely used as Wikimedia Commons.

Agree with @Nemo_bis
If you say we should have a separate box for commons, we should also have a separate box for wikidata, mediawiki, species and meta. But because all of these sites are on one domain and not using xx.wikiproject.org, they are bundled under one section.
I agree the header could be more unambigious, maybe something like 'monolingual wmf-sites''?